## Class Apache_Solr_HttpTransport_Curl

Description

A Curl based HTTP transport. Uses a single curl session for all requests.

Located in /HttpTransport/Curl.php (line 45)

    Apache_Solr_HttpTransport_Abstract
       |
       --Apache_Solr_HttpTransport_Curl

Class Constant Summary
SVN_ID = '$Id:$'
SVN_REVISION = '$Revision:$'
Method Summary
Apache_Solr_HttpTransport_Curl __construct ()
void __destruct ()
void performGetRequest ( $url, [ $timeout = false])
void performHeadRequest ( $url, [ $timeout = false])
void performPostRequest ( $url, $postData, $contentType, [ $timeout = false])
Methods
Constructor __construct (line 67)

Initializes a curl session

- access: public

Apache_Solr_HttpTransport_Curl __construct ()
Destructor __destruct (line 88)

Closes a curl session

void __destruct ()
performGetRequest (line 94)

- access: public

void performGetRequest ( $url, [ $timeout = false])

- $url
- $timeout

performHeadRequest (line 128)

- access: public

void performHeadRequest ( $url, [ $timeout = false])

- $url
- $timeout

performPostRequest (line 159)

- access: public

void performPostRequest ( $url, $postData, $contentType, [ $timeout = false])

- $url
- $postData
- $contentType
- $timeout

#### Inherited Methods

Inherited From Apache_Solr_HttpTransport_Abstract

> Apache_Solr_HttpTransport_Abstract::getDefaultTimeout()
> Apache_Solr_HttpTransport_Abstract::setDefaultTimeout()

Class Constants
SVN_ID = '$Id:$' (line 55)

SVN ID meta data for this class

SVN_REVISION = '$Revision:$' (line 50)

SVN Revision meta data for this class

Documentation generated on Wed, 04 May 2011 11:01:12 -0400 by phpDocumentor 1.4.3